Package org.jcsp.net.dynamic

# Class MigratableChannelEnd

java.lang.Object
org.jcsp.net.dynamic.MigratableChannelEnd

public class MigratableChannelEnd extends Object
Static factory for creating migratable channel ends.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static MigratableAltingChannelInput`
`createNet2One()`
Creates an anonymous migratable channel input.
`static MigratableAltingChannelInput`
`createNet2One(String name)`
Creates a named migratable channel input using the default namespace.
`static MigratableAltingChannelInput`
`createNet2One(String name, NameAccessLevel nameAccessLevel)`
Creates a named migratable channel input within the given namespace.
`static MigratableChannelOutput`
`createOne2Net(String name)`
Creates a migratable channel output to a named channel within the default namespace.
`static MigratableChannelOutput`
`createOne2Net(String name, NameAccessLevel nameAccessLevel)`
Creates a migratable channel output to a named channel within a given namespace.
`static MigratableChannelOutput`
`createOne2Net(NetChannelLocation loc)`
Creates a migratable channel output to a given location.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createNet2One

public static MigratableAltingChannelInput createNet2One()
Creates an anonymous migratable channel input.

Returns:
  the created channel end.

### createOne2Net

public static MigratableChannelOutput createOne2Net(NetChannelLocation loc)
Creates a migratable channel output to a given location.

Parameters:
  `loc` - location of the input end of the channel.
Returns:
  the created channel end.

### createNet2One

public static MigratableAltingChannelInput createNet2One(String name)
Creates a named migratable channel input using the default namespace.

Parameters:
  `name` - the name of the channel to register with the CNS.
Returns:
  the created channel end.

### createNet2One

public static MigratableAltingChannelInput createNet2One(String name, NameAccessLevel nameAccessLevel)
Creates a named migratable channel input within the given namespace.

Parameters:
  `name` - the name of the channel to register with the CNS.
  `nameAccessLevel` - the namespace to register the name within.
Returns:
  the created channel end.

### createOne2Net

public static MigratableChannelOutput createOne2Net(String name)
Creates a migratable channel output to a named channel within the default namespace.

Parameters:
  `name` - the name of the channel as registered with the CNS.
Returns:
  the created channel end.

### createOne2Net

public static MigratableChannelOutput createOne2Net(String name, NameAccessLevel nameAccessLevel)
Creates a migratable channel output to a named channel within a given namespace.

Parameters:
  `name` - the name of the channel as registered with the CNS.
  `nameAccessLevel` - the namespace the name is registered within.
Returns:
  the created channel end.